Index: trunk/autoquest-core-tasktrees-test/src/test/java/de/ugoe/cs/autoquest/tasktrees/temporalrelation/TaskSymbolIdentityMapTest.java
===================================================================
--- trunk/autoquest-core-tasktrees-test/src/test/java/de/ugoe/cs/autoquest/tasktrees/temporalrelation/TaskSymbolIdentityMapTest.java	(revision 1294)
+++ trunk/autoquest-core-tasktrees-test/src/test/java/de/ugoe/cs/autoquest/tasktrees/temporalrelation/TaskSymbolIdentityMapTest.java	(revision 1846)
@@ -33,5 +33,4 @@
 import de.ugoe.cs.autoquest.tasktrees.treeifc.ITask;
 import de.ugoe.cs.autoquest.tasktrees.treeifc.ITaskFactory;
-import de.ugoe.cs.autoquest.tasktrees.treeifc.ITaskInstance;
 import de.ugoe.cs.autoquest.tasktrees.treeimpl.TaskFactory;
 import de.ugoe.cs.autoquest.test.DummyGUIElement;
@@ -62,5 +61,5 @@
     @Test
     public void testSymbolMap_1() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
         
         assertNotNull(symbolMap);
@@ -72,11 +71,11 @@
         TaskSymbolIdentityMap<String> symbolMap1 = new TaskSymbolIdentityMap<String>();
         
-        ITaskInstance taskInstance = createTaskInstance("symbol");
-        symbolMap1.addSymbol(taskInstance, "value");
-        
-        SymbolMap<ITaskInstance, String> symbolMap2 = new TaskSymbolIdentityMap<String>(symbolMap1);
+        ITask task = createTask("symbol");
+        symbolMap1.addSymbol(task, "value");
+        
+        SymbolMap<ITask, String> symbolMap2 = new TaskSymbolIdentityMap<String>(symbolMap1);
         
         assertNotNull(symbolMap2);
-        assertSymbolMapEntries(symbolMap2, new ITaskInstance[] { taskInstance },
+        assertSymbolMapEntries(symbolMap2, new ITask[] { task },
                                new String[] { "value" });
     }
@@ -89,11 +88,11 @@
     @Test
     public void testAddSymbol_1() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-            
-        ITaskInstance taskInstance = createTaskInstance("symbol");
-        symbolMap.addSymbol(taskInstance, "value1");
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+            
+        ITask task = createTask("symbol");
+        symbolMap.addSymbol(task, "value1");
         
         assertNotNull(symbolMap);
-        assertSymbolMapEntries(symbolMap, new ITaskInstance[] { taskInstance },
+        assertSymbolMapEntries(symbolMap, new ITask[] { task },
                                new String[] { "value1" });
     }
@@ -101,13 +100,13 @@
     @Test
     public void testAddSymbol_2() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-        
-        int entryCount = 2000;
-        
-        ITaskInstance[] symbols = new ITaskInstance[entryCount];
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        
+        int entryCount = 2000;
+        
+        ITask[] symbols = new ITask[entryCount];
         String[] values = new String[entryCount];
         
         for (int i = 0; i < entryCount; i++) {
-            symbols[i] = createTaskInstance("symbol" + i);
+            symbols[i] = createTask("symbol" + i);
             symbolMap.addSymbol(symbols[i], "value" + i);
             values[i] = "value" + i;
@@ -120,13 +119,13 @@
     @Test
     public void testAddSymbol_3() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-        
-        int entryCount = 2000;
-        
-        ITaskInstance[] symbols = new ITaskInstance[entryCount];
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        
+        int entryCount = 2000;
+        
+        ITask[] symbols = new ITask[entryCount];
         String[] values = new String[entryCount];
         
         for (int i = 0; i < entryCount; i++) {
-            symbols[i] = createTaskInstance("symbol" + i);
+            symbols[i] = createTask("symbol" + i);
             if (i % 7 == 0) {
                 values[i] = "value" + i;
@@ -145,5 +144,5 @@
     @Test(expected = java.lang.IllegalArgumentException.class)
     public void testAddSymbol_4() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
             
         symbolMap.addSymbol(null, null);
@@ -152,5 +151,5 @@
     @Test
     public void testSize_1() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
             
         assertEquals(0, symbolMap.size());
@@ -159,7 +158,7 @@
     @Test
     public void testSize_2() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-            
-        symbolMap.addSymbol(createTaskInstance("symbol1"), "value1");
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+            
+        symbolMap.addSymbol(createTask("symbol1"), "value1");
         
         assertEquals(1, symbolMap.size());
@@ -168,10 +167,10 @@
     @Test
     public void testSize_3() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-        
-        int entryCount = 2000;
-        
-        for (int i = 0; i < entryCount; i++) {
-            symbolMap.addSymbol(createTaskInstance("symbol" + i), "value" + i);
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        
+        int entryCount = 2000;
+        
+        for (int i = 0; i < entryCount; i++) {
+            symbolMap.addSymbol(createTask("symbol" + i), "value" + i);
         }
         
@@ -181,14 +180,14 @@
     @Test
     public void testSize_4() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-        
-        int entryCount = 2000;
-        
-        for (int i = 0; i < entryCount; i++) {
-            if (i % 7 == 0) {
-                symbolMap.addSymbol(createTaskInstance("symbol" + i), "value" + i);
-            }
-            else {
-                symbolMap.addSymbol(createTaskInstance("symbol" + i), null);
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        
+        int entryCount = 2000;
+        
+        for (int i = 0; i < entryCount; i++) {
+            if (i % 7 == 0) {
+                symbolMap.addSymbol(createTask("symbol" + i), "value" + i);
+            }
+            else {
+                symbolMap.addSymbol(createTask("symbol" + i), null);
             }
         }
@@ -199,14 +198,14 @@
     @Test
     public void testSize_5() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-        
-        int entryCount = 2000;
-        
-        for (int i = 0; i < entryCount; i++) {
-            symbolMap.addSymbol(createTaskInstance("symbol" + i), "value" + i);
-        }
-        
-        for (int i = 150; i < (entryCount - 150); i++) {
-            symbolMap.removeSymbol(createTaskInstance("symbol" + i));
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        
+        int entryCount = 2000;
+        
+        for (int i = 0; i < entryCount; i++) {
+            symbolMap.addSymbol(createTask("symbol" + i), "value" + i);
+        }
+        
+        for (int i = 150; i < (entryCount - 150); i++) {
+            symbolMap.removeSymbol(createTask("symbol" + i));
         }
         
@@ -216,5 +215,5 @@
     @Test
     public void testIsEmpty_1() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
             
         assertTrue(symbolMap.isEmpty());
@@ -223,7 +222,7 @@
     @Test
     public void testIsEmpty_2() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-            
-        symbolMap.addSymbol(createTaskInstance("symbol1"), "value1");
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+            
+        symbolMap.addSymbol(createTask("symbol1"), "value1");
         
         assertFalse(symbolMap.isEmpty());
@@ -232,10 +231,10 @@
     @Test
     public void testIsEmpty_3() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-        
-        int entryCount = 2000;
-        
-        for (int i = 0; i < entryCount; i++) {
-            symbolMap.addSymbol(createTaskInstance("symbol" + i), "value" + i);
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        
+        int entryCount = 2000;
+        
+        for (int i = 0; i < entryCount; i++) {
+            symbolMap.addSymbol(createTask("symbol" + i), "value" + i);
         }
         
@@ -245,14 +244,14 @@
     @Test
     public void testIsEmpty_4() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-        
-        int entryCount = 2000;
-        
-        for (int i = 0; i < entryCount; i++) {
-            if (i % 7 == 0) {
-                symbolMap.addSymbol(createTaskInstance("symbol" + i), "value" + i);
-            }
-            else {
-                symbolMap.addSymbol(createTaskInstance("symbol" + i), null);
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        
+        int entryCount = 2000;
+        
+        for (int i = 0; i < entryCount; i++) {
+            if (i % 7 == 0) {
+                symbolMap.addSymbol(createTask("symbol" + i), "value" + i);
+            }
+            else {
+                symbolMap.addSymbol(createTask("symbol" + i), null);
             }
         }
@@ -263,14 +262,14 @@
     @Test
     public void testIsEmpty_5() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-        
-        int entryCount = 2000;
-        
-        for (int i = 0; i < entryCount; i++) {
-            symbolMap.addSymbol(createTaskInstance("symbol" + i), "value" + i);
-        }
-        
-        for (int i = 150; i < (entryCount - 150); i++) {
-            symbolMap.removeSymbol(createTaskInstance("symbol" + i));
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        
+        int entryCount = 2000;
+        
+        for (int i = 0; i < entryCount; i++) {
+            symbolMap.addSymbol(createTask("symbol" + i), "value" + i);
+        }
+        
+        for (int i = 150; i < (entryCount - 150); i++) {
+            symbolMap.removeSymbol(createTask("symbol" + i));
         }
         
@@ -280,30 +279,30 @@
     @Test
     public void testContainsSymbol_1() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-            
-        assertFalse(symbolMap.containsSymbol(createTaskInstance("symbol")));
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+            
+        assertFalse(symbolMap.containsSymbol(createTask("symbol")));
     }
     
     @Test
     public void testContainsSymbol_2() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-            
-        symbolMap.addSymbol(createTaskInstance("symbol1"), "value1");
-        
-        assertTrue(symbolMap.containsSymbol(createTaskInstance("symbol1")));
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+            
+        symbolMap.addSymbol(createTask("symbol1"), "value1");
+        
+        assertTrue(symbolMap.containsSymbol(createTask("symbol1")));
     }
     
     @Test
     public void testContainsSymbol_3() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-        
-        int entryCount = 2000;
-        
-        for (int i = 0; i < entryCount; i++) {
-            symbolMap.addSymbol(createTaskInstance("symbol" + i), "value" + i);
-        }
-        
-        for (int i = 0; i < entryCount; i++) {
-            assertTrue(symbolMap.containsSymbol(createTaskInstance("symbol" + i)));
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        
+        int entryCount = 2000;
+        
+        for (int i = 0; i < entryCount; i++) {
+            symbolMap.addSymbol(createTask("symbol" + i), "value" + i);
+        }
+        
+        for (int i = 0; i < entryCount; i++) {
+            assertTrue(symbolMap.containsSymbol(createTask("symbol" + i)));
         }
     }
@@ -311,19 +310,19 @@
     @Test
     public void testContainsSymbol_4() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-        
-        int entryCount = 2000;
-        
-        for (int i = 0; i < entryCount; i++) {
-            if (i % 7 == 0) {
-                symbolMap.addSymbol(createTaskInstance("symbol" + i), "value" + i);
-            }
-            else {
-                symbolMap.addSymbol(createTaskInstance("symbol" + i), null);
-            }
-        }
-        
-        for (int i = 0; i < entryCount; i++) {
-            assertTrue(symbolMap.containsSymbol(createTaskInstance("symbol" + i)));
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        
+        int entryCount = 2000;
+        
+        for (int i = 0; i < entryCount; i++) {
+            if (i % 7 == 0) {
+                symbolMap.addSymbol(createTask("symbol" + i), "value" + i);
+            }
+            else {
+                symbolMap.addSymbol(createTask("symbol" + i), null);
+            }
+        }
+        
+        for (int i = 0; i < entryCount; i++) {
+            assertTrue(symbolMap.containsSymbol(createTask("symbol" + i)));
         }
     }
@@ -331,26 +330,26 @@
     @Test
     public void testContainsSymbol_5() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-        
-        int entryCount = 2000;
-        
-        for (int i = 0; i < entryCount; i++) {
-            symbolMap.addSymbol(createTaskInstance("symbol" + i), "value" + i);
-        }
-        
-        for (int i = 150; i < (entryCount - 150); i++) {
-            symbolMap.removeSymbol(createTaskInstance("symbol" + i));
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        
+        int entryCount = 2000;
+        
+        for (int i = 0; i < entryCount; i++) {
+            symbolMap.addSymbol(createTask("symbol" + i), "value" + i);
+        }
+        
+        for (int i = 150; i < (entryCount - 150); i++) {
+            symbolMap.removeSymbol(createTask("symbol" + i));
         }
         
         for (int i = 0; i < 150; i++) {
-            assertTrue(symbolMap.containsSymbol(createTaskInstance("symbol" + i)));
-        }
-        
-        for (int i = 150; i < (entryCount - 150); i++) {
-            assertFalse(symbolMap.containsSymbol(createTaskInstance("symbol" + i)));
+            assertTrue(symbolMap.containsSymbol(createTask("symbol" + i)));
+        }
+        
+        for (int i = 150; i < (entryCount - 150); i++) {
+            assertFalse(symbolMap.containsSymbol(createTask("symbol" + i)));
         }
         
         for (int i = (entryCount - 150); i < entryCount; i++) {
-            assertTrue(symbolMap.containsSymbol(createTaskInstance("symbol" + i)));
+            assertTrue(symbolMap.containsSymbol(createTask("symbol" + i)));
         }
     }
@@ -358,5 +357,5 @@
     @Test(expected = java.lang.IllegalArgumentException.class)
     public void testContainsSymbol_6() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
             
         symbolMap.containsSymbol(null);
@@ -365,39 +364,39 @@
     @Test
     public void testGetValue_1() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-            
-        assertNull(symbolMap.getValue(createTaskInstance("symbol")));
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+            
+        assertNull(symbolMap.getValue(createTask("symbol")));
     }
     
     @Test
     public void testGetValue_2() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-            
-        symbolMap.addSymbol(createTaskInstance("symbol1"), "value1");
-        
-        assertNotNull(symbolMap.getValue(createTaskInstance("symbol1")));
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+            
+        symbolMap.addSymbol(createTask("symbol1"), "value1");
+        
+        assertNotNull(symbolMap.getValue(createTask("symbol1")));
     }
     
     @Test
     public void testGetValue_3() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-            
-        symbolMap.addSymbol(createTaskInstance("symbol1"), null);
-        
-        assertNull(symbolMap.getValue(createTaskInstance("symbol1")));
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+            
+        symbolMap.addSymbol(createTask("symbol1"), null);
+        
+        assertNull(symbolMap.getValue(createTask("symbol1")));
     }
     
     @Test
     public void testGetValue_4() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-        
-        int entryCount = 2000;
-        
-        for (int i = 0; i < entryCount; i++) {
-            symbolMap.addSymbol(createTaskInstance("symbol" + i), "value" + i);
-        }
-        
-        for (int i = 0; i < entryCount; i++) {
-            assertNotNull(symbolMap.getValue(createTaskInstance("symbol" + i)));
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        
+        int entryCount = 2000;
+        
+        for (int i = 0; i < entryCount; i++) {
+            symbolMap.addSymbol(createTask("symbol" + i), "value" + i);
+        }
+        
+        for (int i = 0; i < entryCount; i++) {
+            assertNotNull(symbolMap.getValue(createTask("symbol" + i)));
         }
     }
@@ -405,23 +404,23 @@
     @Test
     public void testGetValue_5() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-        
-        int entryCount = 2000;
-        
-        for (int i = 0; i < entryCount; i++) {
-            if (i % 7 == 0) {
-                symbolMap.addSymbol(createTaskInstance("symbol" + i), "value" + i);
-            }
-            else {
-                symbolMap.addSymbol(createTaskInstance("symbol" + i), null);
-            }
-        }
-        
-        for (int i = 0; i < entryCount; i++) {
-            if (i % 7 == 0) {
-                assertNotNull(symbolMap.getValue(createTaskInstance("symbol" + i)));
-            }
-            else {
-                assertNull(symbolMap.getValue(createTaskInstance("symbol" + i)));
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        
+        int entryCount = 2000;
+        
+        for (int i = 0; i < entryCount; i++) {
+            if (i % 7 == 0) {
+                symbolMap.addSymbol(createTask("symbol" + i), "value" + i);
+            }
+            else {
+                symbolMap.addSymbol(createTask("symbol" + i), null);
+            }
+        }
+        
+        for (int i = 0; i < entryCount; i++) {
+            if (i % 7 == 0) {
+                assertNotNull(symbolMap.getValue(createTask("symbol" + i)));
+            }
+            else {
+                assertNull(symbolMap.getValue(createTask("symbol" + i)));
             }
         }
@@ -430,26 +429,26 @@
     @Test
     public void testGetValue_6() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-        
-        int entryCount = 2000;
-        
-        for (int i = 0; i < entryCount; i++) {
-            symbolMap.addSymbol(createTaskInstance("symbol" + i), "value" + i);
-        }
-        
-        for (int i = 150; i < (entryCount - 150); i++) {
-            symbolMap.removeSymbol(createTaskInstance("symbol" + i));
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        
+        int entryCount = 2000;
+        
+        for (int i = 0; i < entryCount; i++) {
+            symbolMap.addSymbol(createTask("symbol" + i), "value" + i);
+        }
+        
+        for (int i = 150; i < (entryCount - 150); i++) {
+            symbolMap.removeSymbol(createTask("symbol" + i));
         }
         
         for (int i = 0; i < 150; i++) {
-            assertNotNull(symbolMap.getValue(createTaskInstance("symbol" + i)));
-        }
-        
-        for (int i = 150; i < (entryCount - 150); i++) {
-            assertNull(symbolMap.getValue(createTaskInstance("symbol" + i)));
+            assertNotNull(symbolMap.getValue(createTask("symbol" + i)));
+        }
+        
+        for (int i = 150; i < (entryCount - 150); i++) {
+            assertNull(symbolMap.getValue(createTask("symbol" + i)));
         }
         
         for (int i = (entryCount - 150); i < entryCount; i++) {
-            assertNotNull(symbolMap.getValue(createTaskInstance("symbol" + i)));
+            assertNotNull(symbolMap.getValue(createTask("symbol" + i)));
         }
     }
@@ -457,5 +456,5 @@
     @Test(expected = java.lang.IllegalArgumentException.class)
     public void testGetValue_7() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
             
         symbolMap.getValue(null);
@@ -464,16 +463,16 @@
     @Test
     public void testRemoveSymbol_1() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-            
-        assertNull(symbolMap.removeSymbol(createTaskInstance("symbol")));
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+            
+        assertNull(symbolMap.removeSymbol(createTask("symbol")));
     }
     
     @Test
     public void testRemoveSymbol_2() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-            
-        symbolMap.addSymbol(createTaskInstance("symbol1"), "value1");
-        
-        assertNotNull(symbolMap.removeSymbol(createTaskInstance("symbol1")));
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+            
+        symbolMap.addSymbol(createTask("symbol1"), "value1");
+        
+        assertNotNull(symbolMap.removeSymbol(createTask("symbol1")));
         assertEquals(0, symbolMap.size());
     }
@@ -481,9 +480,9 @@
     @Test
     public void testRemoveSymbol_3() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-            
-        symbolMap.addSymbol(createTaskInstance("symbol1"), null);
-        
-        assertNull(symbolMap.removeSymbol(createTaskInstance("symbol1")));
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+            
+        symbolMap.addSymbol(createTask("symbol1"), null);
+        
+        assertNull(symbolMap.removeSymbol(createTask("symbol1")));
         assertEquals(0, symbolMap.size());
     }
@@ -491,14 +490,14 @@
     @Test
     public void testRemoveSymbol_4() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-        
-        int entryCount = 2000;
-        
-        for (int i = 0; i < entryCount; i++) {
-            symbolMap.addSymbol(createTaskInstance("symbol" + i), "value" + i);
-        }
-        
-        for (int i = 0; i < entryCount; i++) {
-            assertNotNull(symbolMap.removeSymbol(createTaskInstance("symbol" + i)));
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        
+        int entryCount = 2000;
+        
+        for (int i = 0; i < entryCount; i++) {
+            symbolMap.addSymbol(createTask("symbol" + i), "value" + i);
+        }
+        
+        for (int i = 0; i < entryCount; i++) {
+            assertNotNull(symbolMap.removeSymbol(createTask("symbol" + i)));
         }
         
@@ -508,23 +507,23 @@
     @Test
     public void testRemoveSymbol_5() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-        
-        int entryCount = 2000;
-        
-        for (int i = 0; i < entryCount; i++) {
-            if (i % 7 == 0) {
-                symbolMap.addSymbol(createTaskInstance("symbol" + i), "value" + i);
-            }
-            else {
-                symbolMap.addSymbol(createTaskInstance("symbol" + i), null);
-            }
-        }
-        
-        for (int i = 0; i < entryCount; i++) {
-            if (i % 7 == 0) {
-                assertNotNull(symbolMap.removeSymbol(createTaskInstance("symbol" + i)));
-            }
-            else {
-                assertNull(symbolMap.removeSymbol(createTaskInstance("symbol" + i)));
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        
+        int entryCount = 2000;
+        
+        for (int i = 0; i < entryCount; i++) {
+            if (i % 7 == 0) {
+                symbolMap.addSymbol(createTask("symbol" + i), "value" + i);
+            }
+            else {
+                symbolMap.addSymbol(createTask("symbol" + i), null);
+            }
+        }
+        
+        for (int i = 0; i < entryCount; i++) {
+            if (i % 7 == 0) {
+                assertNotNull(symbolMap.removeSymbol(createTask("symbol" + i)));
+            }
+            else {
+                assertNull(symbolMap.removeSymbol(createTask("symbol" + i)));
             }
         }
@@ -535,26 +534,26 @@
     @Test
     public void testRemoveSymbol_6() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-        
-        int entryCount = 2000;
-        
-        for (int i = 0; i < entryCount; i++) {
-            symbolMap.addSymbol(createTaskInstance("symbol" + i), "value" + i);
-        }
-        
-        for (int i = 150; i < (entryCount - 150); i++) {
-            symbolMap.removeSymbol(createTaskInstance("symbol" + i));
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        
+        int entryCount = 2000;
+        
+        for (int i = 0; i < entryCount; i++) {
+            symbolMap.addSymbol(createTask("symbol" + i), "value" + i);
+        }
+        
+        for (int i = 150; i < (entryCount - 150); i++) {
+            symbolMap.removeSymbol(createTask("symbol" + i));
         }
         
         for (int i = 0; i < 150; i++) {
-            assertNotNull(symbolMap.removeSymbol(createTaskInstance("symbol" + i)));
-        }
-        
-        for (int i = 150; i < (entryCount - 150); i++) {
-            assertNull(symbolMap.removeSymbol(createTaskInstance("symbol" + i)));
+            assertNotNull(symbolMap.removeSymbol(createTask("symbol" + i)));
+        }
+        
+        for (int i = 150; i < (entryCount - 150); i++) {
+            assertNull(symbolMap.removeSymbol(createTask("symbol" + i)));
         }
         
         for (int i = (entryCount - 150); i < entryCount; i++) {
-            assertNotNull(symbolMap.removeSymbol(createTaskInstance("symbol" + i)));
+            assertNotNull(symbolMap.removeSymbol(createTask("symbol" + i)));
         }
         
@@ -564,5 +563,5 @@
     @Test(expected = java.lang.IllegalArgumentException.class)
     public void testRemoveSymbol_7() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
             
         symbolMap.removeSymbol(null);
@@ -571,5 +570,5 @@
     @Test
     public void testGetSymbols_1() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
             
         assertNotNull(symbolMap.getSymbols());
@@ -579,7 +578,7 @@
     @Test
     public void testGetSymbols_2() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
          
-        ITaskInstance task = createTaskInstance("symbol1");
+        ITask task = createTask("symbol1");
         symbolMap.addSymbol(task, "value1");
         
@@ -591,7 +590,7 @@
     @Test
     public void testGetSymbols_3() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-            
-        ITaskInstance task = createTaskInstance("symbol1");
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+            
+        ITask task = createTask("symbol1");
         symbolMap.addSymbol(task, null);
         
@@ -603,11 +602,11 @@
     @Test
     public void testGetSymbols_4() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-        Set<ITaskInstance> expectedSymbols = new HashSet<ITaskInstance>();
-        
-        int entryCount = 2000;
-        
-        for (int i = 0; i < entryCount; i++) {
-            ITaskInstance task = createTaskInstance("symbol" + i);
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        Set<ITask> expectedSymbols = new HashSet<ITask>();
+        
+        int entryCount = 2000;
+        
+        for (int i = 0; i < entryCount; i++) {
+            ITask task = createTask("symbol" + i);
             symbolMap.addSymbol(task, "value" + i);
             expectedSymbols.add(task);
@@ -617,5 +616,5 @@
         assertEquals(entryCount, symbolMap.getSymbols().size());
         
-        Iterator<ITaskInstance> iterator = symbolMap.getSymbols().iterator();
+        Iterator<ITask> iterator = symbolMap.getSymbols().iterator();
         for (int i = 0; i < entryCount; i++) {
             assertTrue(iterator.hasNext());
@@ -629,11 +628,11 @@
     @Test
     public void testGetSymbols_5() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-        Set<ITaskInstance> expectedSymbols = new HashSet<ITaskInstance>();
-        
-        int entryCount = 2000;
-        
-        for (int i = 0; i < entryCount; i++) {
-            ITaskInstance task = createTaskInstance("symbol" + i);
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        Set<ITask> expectedSymbols = new HashSet<ITask>();
+        
+        int entryCount = 2000;
+        
+        for (int i = 0; i < entryCount; i++) {
+            ITask task = createTask("symbol" + i);
             
             if (i % 7 == 0) {
@@ -650,5 +649,5 @@
         assertEquals(entryCount, symbolMap.getSymbols().size());
         
-        Iterator<ITaskInstance> iterator = symbolMap.getSymbols().iterator();
+        Iterator<ITask> iterator = symbolMap.getSymbols().iterator();
         for (int i = 0; i < entryCount; i++) {
             assertTrue(iterator.hasNext());
@@ -662,11 +661,11 @@
     @Test
     public void testGetSymbols_6() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-        List<ITaskInstance> expectedSymbols = new ArrayList<ITaskInstance>();
-        
-        int entryCount = 2000;
-        
-        for (int i = 0; i < entryCount; i++) {
-            ITaskInstance task = createTaskInstance("symbol" + i);
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        List<ITask> expectedSymbols = new ArrayList<ITask>();
+        
+        int entryCount = 2000;
+        
+        for (int i = 0; i < entryCount; i++) {
+            ITask task = createTask("symbol" + i);
             symbolMap.addSymbol(task, "value" + i);
             expectedSymbols.add(task);
@@ -680,5 +679,5 @@
         assertEquals(2 * 150, symbolMap.getSymbols().size());
         
-        Iterator<ITaskInstance> iterator = symbolMap.getSymbols().iterator();
+        Iterator<ITask> iterator = symbolMap.getSymbols().iterator();
         for (int i = 0; i < 2 * 150; i++) {
             assertTrue(iterator.hasNext());
@@ -692,5 +691,5 @@
     @Test
     public void testGetValues_1() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
             
         assertNotNull(symbolMap.getValues());
@@ -700,7 +699,7 @@
     @Test
     public void testGetValues_2() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-            
-        symbolMap.addSymbol(createTaskInstance("symbol1"), "value1");
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+            
+        symbolMap.addSymbol(createTask("symbol1"), "value1");
         
         assertNotNull(symbolMap.getValues());
@@ -711,7 +710,7 @@
     @Test
     public void testGetValues_3() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-            
-        symbolMap.addSymbol(createTaskInstance("symbol1"), null);
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+            
+        symbolMap.addSymbol(createTask("symbol1"), null);
         
         assertNotNull(symbolMap.getValues());
@@ -722,5 +721,5 @@
     @Test
     public void testGetValues_4() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
         Set<String> expectedValues = new HashSet<String>();
         
@@ -728,5 +727,5 @@
         
         for (int i = 0; i < entryCount; i++) {
-            symbolMap.addSymbol(createTaskInstance("symbol" + i), "value" + i);
+            symbolMap.addSymbol(createTask("symbol" + i), "value" + i);
             expectedValues.add("value" + i);
         }
@@ -747,5 +746,5 @@
     @Test
     public void testGetValues_5() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
         Set<String> expectedValues = new HashSet<String>();
         
@@ -754,9 +753,9 @@
         for (int i = 0; i < entryCount; i++) {
             if (i % 7 == 0) {
-                symbolMap.addSymbol(createTaskInstance("symbol" + i), "value" + i);
+                symbolMap.addSymbol(createTask("symbol" + i), "value" + i);
                 expectedValues.add("value" + i);
             }
             else {
-                symbolMap.addSymbol(createTaskInstance("symbol" + i), null);
+                symbolMap.addSymbol(createTask("symbol" + i), null);
                 expectedValues.add(null);
             }
@@ -778,5 +777,5 @@
     @Test
     public void testGetValues_6() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
         Set<String> expectedValues = new HashSet<String>();
         
@@ -784,10 +783,10 @@
         
         for (int i = 0; i < entryCount; i++) {
-            symbolMap.addSymbol(createTaskInstance("symbol" + i), "value" + i);
+            symbolMap.addSymbol(createTask("symbol" + i), "value" + i);
             expectedValues.add("value" + i);
         }
         
         for (int i = 150; i < (entryCount - 150); i++) {
-            symbolMap.removeSymbol(createTaskInstance("symbol" + i));
+            symbolMap.removeSymbol(createTask("symbol" + i));
             expectedValues.remove("value" + i);
         }
@@ -808,5 +807,5 @@
     @Test
     public void testClear_1() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
         
         symbolMap.clear();
@@ -816,7 +815,7 @@
     @Test
     public void testClear_2() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-            
-        symbolMap.addSymbol(createTaskInstance("symbol1"), "value1");
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+            
+        symbolMap.addSymbol(createTask("symbol1"), "value1");
         
         symbolMap.clear();
@@ -826,7 +825,7 @@
     @Test
     public void testClear_3() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-            
-        symbolMap.addSymbol(createTaskInstance("symbol1"), null);
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+            
+        symbolMap.addSymbol(createTask("symbol1"), null);
         
         symbolMap.clear();
@@ -836,10 +835,10 @@
     @Test
     public void testClear_4() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-        
-        int entryCount = 2000;
-        
-        for (int i = 0; i < entryCount; i++) {
-            symbolMap.addSymbol(createTaskInstance("symbol" + i), "value" + i);
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        
+        int entryCount = 2000;
+        
+        for (int i = 0; i < entryCount; i++) {
+            symbolMap.addSymbol(createTask("symbol" + i), "value" + i);
         }
         
@@ -850,14 +849,14 @@
     @Test
     public void testClear_5() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-        
-        int entryCount = 2000;
-        
-        for (int i = 0; i < entryCount; i++) {
-            if (i % 7 == 0) {
-                symbolMap.addSymbol(createTaskInstance("symbol" + i), "value" + i);
-            }
-            else {
-                symbolMap.addSymbol(createTaskInstance("symbol" + i), null);
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        
+        int entryCount = 2000;
+        
+        for (int i = 0; i < entryCount; i++) {
+            if (i % 7 == 0) {
+                symbolMap.addSymbol(createTask("symbol" + i), "value" + i);
+            }
+            else {
+                symbolMap.addSymbol(createTask("symbol" + i), null);
             }
         }
@@ -869,14 +868,14 @@
     @Test
     public void testClear_6() {
-        SymbolMap<ITaskInstance, String> symbolMap = new TaskSymbolIdentityMap<String>();
-        
-        int entryCount = 2000;
-        
-        for (int i = 0; i < entryCount; i++) {
-            symbolMap.addSymbol(createTaskInstance("symbol" + i), "value" + i);
-        }
-        
-        for (int i = 150; i < (entryCount - 150); i++) {
-            symbolMap.removeSymbol(createTaskInstance("symbol" + i));
+        SymbolMap<ITask, String> symbolMap = new TaskSymbolIdentityMap<String>();
+        
+        int entryCount = 2000;
+        
+        for (int i = 0; i < entryCount; i++) {
+            symbolMap.addSymbol(createTask("symbol" + i), "value" + i);
+        }
+        
+        for (int i = 150; i < (entryCount - 150); i++) {
+            symbolMap.removeSymbol(createTask("symbol" + i));
         }
         
@@ -887,7 +886,7 @@
     @Test
     public void testEquals_1() {
-        SymbolMap<ITaskInstance, String> symbolMap1 = new TaskSymbolIdentityMap<String>();
-        
-        SymbolMap<ITaskInstance, String> symbolMap2 = new TaskSymbolIdentityMap<String>();
+        SymbolMap<ITask, String> symbolMap1 = new TaskSymbolIdentityMap<String>();
+        
+        SymbolMap<ITask, String> symbolMap2 = new TaskSymbolIdentityMap<String>();
         
         assertTrue(symbolMap1.equals(symbolMap2));
@@ -896,9 +895,9 @@
     @Test
     public void testEquals_2() {
-        SymbolMap<ITaskInstance, String> symbolMap1 = new TaskSymbolIdentityMap<String>();
-            
-        SymbolMap<ITaskInstance, String> symbolMap2 = new TaskSymbolIdentityMap<String>();
-            
-        symbolMap1.addSymbol(createTaskInstance("symbol1"), "value1");
+        SymbolMap<ITask, String> symbolMap1 = new TaskSymbolIdentityMap<String>();
+            
+        SymbolMap<ITask, String> symbolMap2 = new TaskSymbolIdentityMap<String>();
+            
+        symbolMap1.addSymbol(createTask("symbol1"), "value1");
         
         assertFalse(symbolMap1.equals(symbolMap2));
@@ -907,9 +906,9 @@
     @Test
     public void testEquals_3() {
-        SymbolMap<ITaskInstance, String> symbolMap1 = new TaskSymbolIdentityMap<String>();
-            
-        SymbolMap<ITaskInstance, String> symbolMap2 = new TaskSymbolIdentityMap<String>();
-        
-        ITaskInstance task = createTaskInstance("symbol1");
+        SymbolMap<ITask, String> symbolMap1 = new TaskSymbolIdentityMap<String>();
+            
+        SymbolMap<ITask, String> symbolMap2 = new TaskSymbolIdentityMap<String>();
+        
+        ITask task = createTask("symbol1");
         symbolMap1.addSymbol(task, "value1");
         symbolMap2.addSymbol(task, "value1");
@@ -920,12 +919,12 @@
     @Test
     public void testEquals_4() {
-        SymbolMap<ITaskInstance, String> symbolMap1 = new TaskSymbolIdentityMap<String>();
+        SymbolMap<ITask, String> symbolMap1 = new TaskSymbolIdentityMap<String>();
                 
-        SymbolMap<ITaskInstance, String> symbolMap2 = new TaskSymbolIdentityMap<String>();
+        SymbolMap<ITask, String> symbolMap2 = new TaskSymbolIdentityMap<String>();
         
         int entryCount = 1000;
         
         for (int i = 0; i < entryCount; i++) {
-            ITaskInstance task = createTaskInstance("symbol1");
+            ITask task = createTask("symbol1");
             symbolMap1.addSymbol(task, "value" + i);
             assertFalse(symbolMap1.equals(symbolMap2));
@@ -937,12 +936,12 @@
     @Test
     public void testEquals_5() {
-        SymbolMap<ITaskInstance, String> symbolMap1 = new TaskSymbolIdentityMap<String>();
+        SymbolMap<ITask, String> symbolMap1 = new TaskSymbolIdentityMap<String>();
                
-        SymbolMap<ITaskInstance, String> symbolMap2 = new TaskSymbolIdentityMap<String>();
+        SymbolMap<ITask, String> symbolMap2 = new TaskSymbolIdentityMap<String>();
         
         int entryCount = 1000;
         
         for (int i = 0; i < entryCount; i++) {
-            ITaskInstance task = createTaskInstance("symbol" + i);
+            ITask task = createTask("symbol" + i);
             if (i % 7 == 0) {
                 symbolMap1.addSymbol(task, "value" + i);
@@ -962,15 +961,15 @@
     @Test
     public void testEquals_6() {
-        SymbolMap<ITaskInstance, String> symbolMap1 = new TaskSymbolIdentityMap<String>();
+        SymbolMap<ITask, String> symbolMap1 = new TaskSymbolIdentityMap<String>();
                 
-        SymbolMap<ITaskInstance, String> symbolMap2 = new TaskSymbolIdentityMap<String>();
+        SymbolMap<ITask, String> symbolMap2 = new TaskSymbolIdentityMap<String>();
         
         int entryCount = 1000;
         
-        ITaskInstance[] taskInstances = new ITaskInstance[entryCount];
-        
-        for (int i = 0; i < entryCount; i++) {
-            ITaskInstance task = createTaskInstance("symbol" + i);
-            taskInstances[i] = task;
+        ITask[] tasks = new ITask[entryCount];
+        
+        for (int i = 0; i < entryCount; i++) {
+            ITask task = createTask("symbol" + i);
+            tasks[i] = task;
             symbolMap1.addSymbol(task, "value" + i);
             assertFalse(symbolMap1.equals(symbolMap2));
@@ -980,7 +979,7 @@
         
         for (int i = 150; i < (entryCount - 150); i++) {
-            symbolMap1.removeSymbol(taskInstances[i]);
+            symbolMap1.removeSymbol(tasks[i]);
             assertFalse(symbolMap1.equals(symbolMap2));
-            symbolMap2.removeSymbol(taskInstances[i]);
+            symbolMap2.removeSymbol(tasks[i]);
             assertTrue(symbolMap1.equals(symbolMap2));
         }
@@ -989,13 +988,13 @@
     @Test
     public void testPerformance_Contains_1() {
-        SymbolMap<ITaskInstance, String> symbolMap1 = new TaskSymbolIdentityMap<String>();
+        SymbolMap<ITask, String> symbolMap1 = new TaskSymbolIdentityMap<String>();
         int mapSize = 100000;
         int noOfLookups = 1000000;
         
-        ITaskInstance[] taskInstances = new ITaskInstance[mapSize];
+        ITask[] tasks = new ITask[mapSize];
         
         for (int i = 0; i < mapSize; i++) {
-            ITaskInstance task = createTaskInstance("symbol" + i);
-            taskInstances[i] = task;
+            ITask task = createTask("symbol" + i);
+            tasks[i] = task;
             symbolMap1.addSymbol(task, "value" + i);
         }
@@ -1003,5 +1002,5 @@
         long start = System.currentTimeMillis();
         for (int i = 0; i < noOfLookups; i++) {
-            symbolMap1.containsSymbol(taskInstances[noOfLookups % mapSize]);
+            symbolMap1.containsSymbol(tasks[noOfLookups % mapSize]);
         }
         
@@ -1012,13 +1011,13 @@
     @Test
     public void testPerformance_GetValue_1() {
-        SymbolMap<ITaskInstance, String> symbolMap1 = new TaskSymbolIdentityMap<String>();
+        SymbolMap<ITask, String> symbolMap1 = new TaskSymbolIdentityMap<String>();
         int mapSize = 100000;
         int noOfLookups = 1000000;
         
-        ITaskInstance[] taskInstances = new ITaskInstance[mapSize];
+        ITask[] tasks = new ITask[mapSize];
         
         for (int i = 0; i < mapSize; i++) {
-            ITaskInstance task = createTaskInstance("symbol" + i);
-            taskInstances[i] = task;
+            ITask task = createTask("symbol" + i);
+            tasks[i] = task;
             symbolMap1.addSymbol(task, "value" + i);
         }
@@ -1026,5 +1025,5 @@
         long start = System.currentTimeMillis();
         for (int i = 0; i < noOfLookups; i++) {
-            symbolMap1.getValue(taskInstances[noOfLookups % mapSize]);
+            symbolMap1.getValue(tasks[noOfLookups % mapSize]);
         }
         
@@ -1036,13 +1035,13 @@
     @Test
     public void testPerformance_AddRemove_1() {
-        SymbolMap<ITaskInstance, String> symbolMap1 = new TaskSymbolIdentityMap<String>();
+        SymbolMap<ITask, String> symbolMap1 = new TaskSymbolIdentityMap<String>();
         int mapSize = 100000;
         int noOfLookups = 1000000;
         
-        ITaskInstance[] taskInstances = new ITaskInstance[mapSize];
+        ITask[] tasks = new ITask[mapSize];
         
         for (int i = 0; i < mapSize; i++) {
-            ITaskInstance task = createTaskInstance("symbol" + i);
-            taskInstances[i] = task;
+            ITask task = createTask("symbol" + i);
+            tasks[i] = task;
             symbolMap1.addSymbol(task, "value" + i);
         }
@@ -1050,5 +1049,5 @@
         long start = System.currentTimeMillis();
         for (int i = 0; i < noOfLookups; i++) {
-            ITaskInstance task = taskInstances[noOfLookups % mapSize];
+            ITask task = tasks[noOfLookups % mapSize];
             symbolMap1.addSymbol(task, symbolMap1.removeSymbol(task));
         }
@@ -1061,5 +1060,5 @@
      *
      */
-    private ITaskInstance createTaskInstance(String id) {
+    private ITask createTask(String id) {
         ITask task = tasks.get(id);
         Event event = null;
@@ -1075,10 +1074,12 @@
         }
         
-        return taskFactory.createNewTaskInstance((IEventTask) task, event);
-    }
-
-    private void assertSymbolMapEntries(SymbolMap<ITaskInstance, String> symbolMap,
-                                        ITaskInstance[]                  symbols,
-                                        String[]                         values)
+        taskFactory.createNewTaskInstance((IEventTask) task, event);
+        
+        return task;
+    }
+
+    private void assertSymbolMapEntries(SymbolMap<ITask, String> symbolMap,
+                                        ITask[]                  symbols,
+                                        String[]                 values)
     {
         assertEquals(symbols.length, symbolMap.size());
